Next Commerce
Metadata

Metadata List

Retrieve a list of metadata definitions.

GET
/metadata/

Authorization

oauth2 metadata:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: metadata:read

Query Parameters

name?string

Name

object?array<>

Object

  • attribution - Attribution
  • customer - Customer
  • dispute - Dispute
  • line - Line Item
  • order - Order
  • product - Product
  • variant - Variant
  • blog - Blog
  • page - Page
metadata_key?string

Metadata Key

type?array<>

Type

  • text - Text
  • integer - Integer
  • decimal - Decimal
  • rich_text - Rich Text
  • multi_text - Multi Text
  • file - File
  • boolean - Boolean
enable_export?boolean

Export

enable_filter?boolean

Search Filter

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Response Body

application/json

curl -X GET "https://example.29next.store/api/admin/metadata/" \  -H "X-29next-API-Version: 2023-02-10"
{
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "enable_export": true,
      "enable_filter": true,
      "id": 0,
      "key": "string",
      "name": "string",
      "object": "attribution",
      "type": "text",
      "updated_at": "2019-08-24T14:15:22Z",
      "validations": [
        {
          "type": "maximum_length",
          "value": "string"
        }
      ]
    }
  ]
}